import 'package:flutter/material.dart';
import 'package:unit2/model/profile/basic_information/contact_information.dart';
import 'package:unit2/theme-data.dart/box_shadow.dart';
import 'package:unit2/theme-data.dart/colors.dart';
import 'package:unit2/utils/text_container.dart';
import 'package:unit2/widgets/add_leading.dart';
import 'package:unit2/widgets/empty_data.dart';

class ContactInformationScreen extends StatelessWidget {
  final List<ContactInfo> contacts;
  const ContactInformationScreen({super.key, required this.contacts});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        appBar: AppBar(
          title: const Text(contactScreenTitle),
          centerTitle: true,
          backgroundColor: primary,
          actions: [AddLeading(onPressed: (){})],
        ),
        body: contacts.isEmpty? ListView.builder(
          padding: const EdgeInsets.symmetric(vertical: 8,horizontal: 10),
            itemCount: contacts.length,
            itemBuilder: (BuildContext context, int index) {
              String numberMail = contacts[index].numbermail!;
              String commService = contacts[index].commService!.serviceProvider!.alias!;
              return Column(
                 mainAxisAlignment: MainAxisAlignment.start,
                      crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Container(
                    decoration: box1(),
                    padding: const EdgeInsets.symmetric(horizontal: 12,vertical: 8),
                    child: Row(
                      children: [
                        Expanded(
                          child: Column(
                            mainAxisAlignment: MainAxisAlignment.start,
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                            Text(numberMail,style: Theme.of(context).textTheme.titleMedium!.copyWith(fontWeight: FontWeight.w500)),
                            const Divider(),
                            const SizedBox(height: 5,),
                            Row(
                              children: [
                                Expanded(
                                  child: Text(commService
                                      .toString(),style: Theme.of(context).textTheme.titleSmall,),
                                ),
                           
                                              contacts[index].active==true? const Badge(backgroundColor: Colors.green, label: Text("Active",),):const SizedBox(),
                                              const SizedBox(width: 5),
                                                contacts[index].primary==true? const Badge(backgroundColor: Colors.blue, label: Text("Primary"),):const SizedBox()
                              ],
                            ),
                            const SizedBox(height: 5,),
                            Text(contacts[index].commService!
                                .serviceProvider!.agency!.name
                                .toString()),
                                       
                          ]),
                        ),
                      IconButton(onPressed: (){}, icon: const Icon(Icons.more_vert,color: Colors.grey,))
                      ],
                    ),
                  ),
                  const SizedBox(height: 5,),
                  
          
             
                ],
              );
            }):const EmptyData(message: "You don't have contact information added. Please click + to add"),
      ),
    );
  }
}
